STRSPN(3) | Library Functions Manual | STRSPN(3)

# NAME

strspn — span a string

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

#include <string.h>
size_t
strspn(const char *s, const char *charset);

# DESCRIPTION

The strspn() function spans the initial part of the nul-terminated string s as long as the characters from s occur in string charset.

# RETURN VALUES

The strspn() function returns the number of characters spanned.

# EXAMPLES

The following call to strspn() will return 3, since the first three characters of string s are part of string charset:

    char *s = "foobar";
    char *charset = "of";
    size_t span;

    span = strspn(s, charset);

# SEE ALSO

index(3), memchr(3), rindex(3), strchr(3), strcspn(3), strpbrk(3), strrchr(3), strsep(3), strstr(3), strtok(3)

# STANDARDS

The strspn() function conforms to ANSI X3.159-1989 (“ANSI C89”).

August 11, 2002 | NetBSD 8.2